

<nav class="navbar navbar-expand-lg bg-dark" data-bs-theme="dark">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">Navbar</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarColor02" aria-controls="navbarColor02" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarColor02">
        <ul class="navbar-nav me-auto">
          <li class="nav-item">
            <a class="nav-link active" routerLink="login">Login
              <span class="visually-hidden">(current)</span>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link active" routerLink="Home">Home</a>
          </li>
           <li class="nav-item">
            <a class="nav-link " routerLink="">About</a>
          </li>
          <li class="nav-item">
            <a class="nav-link " routerLink="showproducts">All Category</a>
          </li>
          <li class="nav-item">
            <a class="nav-link " routerLink="showproducts">All Products</a>
          </li>
          <li class="nav-item">
            <a class="nav-link " routerLink="showproducts">Contact Us</a>
          </li>

          <!-- <div class="dropdown">
            <a class="btn btn-secondary dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              Dropdown link
            </a>
          
            <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
              <a class="dropdown-item" href="#">Action</a>
              <a class="dropdown-item" href="#">Another action</a>
              <a class="dropdown-item" href="#">Something else here</a>
            </div>
          </div> -->
          <li class="nav-item dropdown">
            <a class="nav-link  dropdown-toggle" data-bs-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Dashboard</a>
            <div class="dropdown-menu">
              <a class="dropdown-item" href="#">Login</a>
              <a class="dropdown-item" href="#">My Cart</a>
              <li class="nav-item dropdown-submenu">
                <a class="dropdown-item dropdown-toggle" href="#">Shop</a>
                <ul class="dropdown-menu">
                    <a class="dropdown-item" href="#">Checkout</a>
                    <a class="dropdown-item" href="#">Shopping Cart</a>
                </ul>
            </li>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="#">Separated link</a>
            </div>
          </li>
        </ul>
        <!-- <form class="d-flex">
          <input class="form-control me-sm-2" type="search" placeholder="Search">
          <button class="btn btn-secondary my-2 my-sm-0" type="submit">Search</button>
        </form> -->
      </div>
    </div>
  </nav>
<!-- 
 <head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css"
      integrity="sha512-z3gLpd7yknf1YoNbCzqRKc4qyor8gaKU1qmn+CShxbuBusANI9QpRohGBreCFkKxLhei6S9CQXFEbbKuqLg0DA=="
      crossorigin="anonymous" referrerpolicy="no-referrer" />
  </head> 
  
  <body>-->
    <!-- navbar left -->
    <!-- <div class="nav_up">
      <div id="navbar">
        <div class="nav-left">
          <div class="logo">
            <a href=""> <img id="logo1" src="" alt="Logo"></a>
  
          </div>
          <div class="menu_div">
            <div id="main">
              <a id="button" href="#">PLANTS</a>
              <div id="box1">
                <div id="box">
                  <div class="div" id="d1">
                    <h5 class="h5"><a href="#">Trending Plants</a></h5>
                    <ul>
                      <li><a href="#">Indoor Plants</a></li>
                      <li><a href="#">Best Seller Plants</a></li>
                      <li><a href="#">Monsoon Plants</a></li>
                      <li><a href="#">Bonsai Plants</a></li>
                      <li><a href="#">Cactus and Succulent</a></li>
                      <li><a href="#">Fruit Plants</a></li>
                      <li><a href="#">Oxygen Plants</a></li>
                      <li><a href="#">Rose Plants</a></li>
                    </ul>
                  </div>
                  <div id="d2">
                    <h5 class="h5"><a href="#">Plants by Type</a></h5>
                    <ul>
                      <li><a href="#">Air Plants</a></li>
                      <li><a href="#">Bonsai Plants</a></li>
                      <li><a href="#">Cactus Plants</a></li>
                      <li><a href="#">Creeper Plants</a></li>
                      <li><a href="#">Herb Plants</a></li>
                      <li><a href="#">Succulent Plants</a></li>
                    </ul>
                  </div>
                  <div id="d3">
                    <h5 class="h5"><a href="#">Plants by Season</a></h5>
                    <ul>
                      <li><a href="#">All Season Plants</a></li>
                      <li><a href="#">Winter Plants</a></li>
                      <li><a href="#">Summer Plants</a></li>
                      <li><a href="#">Monsoon Plants</a></li>
                    </ul>
                  </div>
                  <div id="d4">
                    <h5 class="h5"><a href="#"></a>Plants by Location</h5>
                    <ul>
                      <li><a href="#">Indoor Plants</a></li>
                      <li><a href="#">Outdoor Plants</a></li>
                      <li><a href="#">Plants for Bedroom</a></li>
                      <li><a href="#">Plants for Living Room</a></li>
                      <li><a href="#">Plants For Office</a></li>
                    </ul>
                  </div>
                  <div id="d5">
                    <h5 class="h5"><a href="#">Plants by Features Uses</a></h5>
                    <ul>
                      <li><a href="#">Air Purifying Plants</a></li>
                      <li><a href="#">Fruit Plants</a></li>
                      <li><a href="#">Aromatic Plants</a></li>
                      <li><a href="#">Lucky Plants</a></li>
                      <li><a href="#">Lucky Bamboos</a></li>
                    </ul>
                  </div>
                </div>
              </div>
            </div>
            <div id="main">
              <a id="button" href="#">GARDENING</a>
              <div id="box2">
                <div id="box">
                  <div class="div" id="d1">
                    <h5 class="h5"><a href="#">Trending</a></h5>
                    <ul>
                      <li><a href="#">Bestseller in Gardening</a></li>
                      <li><a href="#">Indoor Garden</a></li>
                      <li><a href="#">Garden Kits</a></li>
                      <li><a href="#">Balcony and Terrace Garden</a></li>
                      <li><a href="#">Vertical Garden</a></li>
                    </ul>
                  </div>
                  <div id="d2">
                    <h5 class="h5"><a href="#">Plants'Packs by Features</a></h5>
                    <ul>
                      <li><a href="#">Air Purifying Plants'Packs</a></li>
                      <li><a href="#">Cactus and Succulent'Packs</a></li>
                      <li><a href="#">Indoor Plants'Packs</a></li>
                      <li><a href="#">Lucky Plants'Plants</a></li>
                    </ul>
                  </div>
                  <div id="d3">
                    <h5 class="h5"><a href="#">Plants'Packs by Location</a></h5>
                    <ul>
                      <li><a href="#">Balcony and Terrace Garden</a></li>
                      <li><a href="#">Indoor Garden</a></li>
                      <li><a href="#">Office Plants'Packs</a></li>
                    </ul>
                  </div>
                 
                </div>
              </div>
            </div>
            <div id="main">
              <a id="button" href="#">PEBBLES</a>
              <div id="box3">
                <div id="box">
                  <div class="div" id="d1">
                    <h5 class="h5"><a href="#">Trending Pebbles</a></h5>
                    <ul>
                      <li><a href="#">Natural Pebbles</a></li>
                      <li><a href="#">Chips Pebbles</a></li>
                      <li><a href="#">White Pebbles</a></li>
                      <li><a href="#">Medium Pebbles</a></li>
                    </ul>
                  </div>
                  <div id="d2">
                    <h5 class="h5"><a href="#">Pebbles by Size</a></h5>
                    <ul>
                      <li><a href="#">Small Pebbles</a></li>
                      <li><a href="#">Medium Pebbles</a></li>
                      <li><a href="#">Big Pebbles</a></li>
                    </ul>
                  </div>
                  <div id="d3">
                    <h5 class="h5"><a href="#">Pebbles by Type</a></h5>
                    <ul>
                      <li><a href="#">Stone Sand</a></li>
                      <li><a href="#">More Natural Pebbles</a></li>
                      <li><a href="#">Granite Pebbles</a></li>
                    </ul>
                  </div>
                </div>
              </div>
            </div>
            <div id="main">
              <a id="button" href="#">SEEDS</a>
              <div id="box4">
                <div id="box">
                  <div class="div" id="d1">
                    <h5 class="h5"><a href="#">Trending Seeds</a></h5>
                    <ul>
                      <li><a href="#">Best Seller Seeds</a></li>
                      <li><a href="#">Seed's Packs</a></li>
                      <li><a href="#">Rainy Sowing Seeds</a></li>
                      <li><a href="#">Easy to Grow Seeds</a></li>
                    </ul>
                  </div>
                  <div id="d2">
                    <h5 class="h5"><a href="#">Herbs Seeds</a></h5>
                    <ul>
                      <li><a href="#">Microgreen Seeds</a></li>
                      <li><a href="#">Herb Seeds(Organic)</a></li>
                      <li><a href="#">Exotic Vegetable Seeds</a></li>
                    </ul>
                  </div>
                  <div id="d3">
                    <h5 class="h5"><a href="#">Tree Seeds</a></h5>
                    <ul>
                      <li><a href="#">Shrub Seeds</a></li>
                      <li><a href="#">Palm Seeds</a></li>
                      <li><a href="#">Medicinal Forestry Seeds</a></li>
                    </ul>
                  </div>
                  <div id="d4">
                    <h5 class="h5"><a href="#"></a>Rainy Sowing Seeds</h5>
                    <ul>
                      <li><a href="#">Rainy Sowing Herb Seeds</a></li>
                      <li><a href="#">Rainy Sowing Fruit Seeds</a></li>
                      <li><a href="#">Rainy Sowing Vegitable Seeds</a></li>
                    </ul>
                  </div>
                </div>
              </div>
            </div>
            
          </div>
        </div> -->
        <!-- nav right end -->
        <!-- <div class="nav-right">
          <div class="div1">
            <input type="text" name="" id="search" placeholder="Search for Plants, Seeds and more">
            <span><i class="fa-solid fa-magnifying-glass"></i></span>
            <div id="two"></div>
          </div>
          <div id="other_div">
            <div>
              <div id="main">
                <a href=""><i class="fa-solid fa-user" id="i2"></i></a>
                <h5 id="profile_tag"><a href="#">Profile</a></h5>
                <div id="box7">
                  <div id="box">
                    <div class="div" id="d1">
                      <h5 id="lh5">Welcome</h5>
                      <p id="lp">To access account and manage order</p>
                      <button id="ls"><a routerLink="/login" id="login">LOGIN</a> /
                        <span><a routerLink="/register" id="login">SIGNUP</a></span>
                          </button>
                      <br>
                      <hr>
                      <ul>
                        <li><a href="#">Order</a></li>
                        <li><a href="#">Wishlist</a></li>
                        <li><a href="#">Gift card</a></li>
                        <li><a href="#">Contact us</a></li>
                      </ul>
                      <hr>
                     
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div>
              <a href="#"><i class="fa-solid fa-heart font" id="i1"><span id="wish"></span></i></a><br>
              <a id="wishlist_tag" href="#">Whishlist</a>
            </div>
            <div>
              <a id="count" href="#"> <i class="fa-solid fa-bag-shopping font" id="i1"><span id="cartlist"></span></i></a>
              <br> <a id="cart_tag" href="#">Bag</a>
            </div>
          </div>
        </div>
      </div>
    </div>
    
  </body> -->